Subject: Re: bug#33778: guix copy fails

From: Mark H Weaver <[email-masked]>
Date: Tue, 18 Dec 2018 16:20:14 -0500

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> ~/dev/gx/branches/master/pre-inst-env guix copy --to=elephly.net:1022 /gnu/store/b10q1d2hks78i6vbjwrf71xxsyc1xb95-system
>> Backtrace:
>>            8 (apply-smob/1 #<catch-closure 1194140>)
>> In ice-9/boot-9.scm:
>>     705:2  7 (call-with-prompt _ _ #<procedure default-prompt-handler (k proc)>)
>> In ice-9/eval.scm:
>>     619:8  6 (_ #(#(#<directory (guile-user) 1226140>)))
>> In guix/ui.scm:
>>   1603:12  5 (run-guix-command _ . _)
>> In ice-9/boot-9.scm:
>>     829:9  4 (catch srfi-34 #<procedure 147d040 at guix/ui.scm:615:2 ()> #<procedure 7f4939f53498 at guix/ui.scm:6…> …)
>>     829:9  3 (catch system-error #<procedure 147d0e0 at guix/scripts/copy.scm:163:2 ()> #<procedure 7f4939f534b0 a…> …)
>> In guix/scripts/copy.scm:
>>     80:27  2 (send-to-remote-host _ _)
>> In guix/ssh.scm:
>>    281:18  1 (send-files #<build-daemon 256.99 1803f50> _ _ #:recursive? _ #:log-port _)
>> In unknown file:
>>            0 (length #<unspecified>)
>>
>> ERROR: In procedure length:
>> In procedure length: Wrong type argument in position 1: #<unspecified>
>
> The #<unspecified> comes from the ‘node-eval’ code right above line 281
> of guix/ssh.scm.
>
> Could it be that the (guix …) modules were not found on the target
> machine, or that guix-daemon was not running there?

FYI, about 5 days ago I saw the same error occur on Hydra, during a
build offloaded to guix.sjd.se.  I reported it as bug #33722.

  https://bugs.gnu.org/33722

The relevant build aborted due to the error, but was later retried and
succeeded.  It's the only time I've ever seen this error, so I guess
the bug is relatively new.

       Mark